Package org.springframework.batch.core.configuration.xml

# Class TopLevelStepListenerParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
org.springframework.batch.core.configuration.xml.TopLevelStepListenerParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

public class TopLevelStepListenerParser extends org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser
Parse <step-listener/> elements in the batch namespace.

Since:
  2.0
Author:
  Dan Garrette

- ## Field Summary

  ### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  `ID_ATTRIBUTE, NAME_ATTRIBUTE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TopLevelStepListenerParser()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)`
  `protected Class<? extends AbstractListenerFactoryBean<?>>`
  `getBeanClass(Element element)`

  ### Methods inherited from class org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser

  `doParse, getBeanClassName, getParentName, parseInternal`

  ### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

  `parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TopLevelStepListenerParser

    public TopLevelStepListenerParser()

- ## Method Details

  - ### doParse

    protected void doParse(Element element, org.springframework.beans.factory.xml.ParserContext parserContext, org.springframework.beans.factory.support.BeanDefinitionBuilder builder)
    Overrides:
      `doParse` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`

  - ### getBeanClass

    protected Class<? extends AbstractListenerFactoryBean<?>> getBeanClass(Element element)
    Overrides:
      `getBeanClass` in class `org.springframework.beans.factory.xml.AbstractSingleBeanDefinitionParser`